Skip to main content
POST
Move a resource into a project

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

The project.

Body

application/json
resource_kind
enum<string>
required
Available options:
cluster,
application,
environment,
stack_profile,
pipeline_repository,
ai_automation,
ai_workspace,
credential,
registry,
backup_vault,
object_storage_bucket,
organisation_variable,
notification_route,
dns_zone
resource_id
string<uuid>
required

Response

What moved.

resource_kind
string
required
resource_id
string<uuid>
required
resource_name
string
required
from_project_id
string<uuid> | null
required
to_project_id
string<uuid> | null
required
followed
object
required

Derived rows that moved with the resource, per table.

followed_notification_routes
integer
required

Notification routes pinned to another project that were made organisation-wide.